About Market Data API

Overview

The Market Data API offers seamless access to market data through both HTTP and WebSocket protocols. With a focus on historical and real-time data, developers can efficiently integrate these APIs into their applications.

To simplify the integration process, we provide user-friendly SDKs in Python, Go, NodeJS, and C#. These SDKs offer comprehensive functionalities, making it easier for developers to work with the Market Data APIs & Web Sockets.

To experiment with the APIs, developers can try them with Postman: either through the public workspace on Postman or directly from our GitHub repository.

By leveraging Alpaca Market Data API and its associated SDKs, developers can seamlessly incorporate historical and real-time market data into their applications, enabling them to build powerful and data-driven financial products.

Subscription Plan:

Alpaca offers a subscription model for partners using the Broker API

Broker API Subscriptions

For broker partners integrating Alpaca's Broker API, we offer tiered subscription plans designed for higher-volume, multi-user platforms.

For equities, the below subscription plans are available.

Subscription NameRPM (Request Per Minute)Stream Connection LimitStream Symbol LimitPrice (per month)Options Indicative Feed
Standard1,0005unlimitedincludedadditional $1,000 per month
StandardPlus30003,0005unlimited$500additional $1,000 per month
StandardPlus50005,0005unlimited$1,000included
StandardPlus1000010,00010unlimited$2,000included

Note: Standard subscription plans will only be active when integration starts. Prior to that, the account will be on the Basic plan listed above. Additionally, similar to the free plan all the standard plans are real time IEX or 15 mins delayed SIP.

For partners on the Standard and StandardPlus3000 plans, an additional subscription fee of $1,000 / month enables access to the same equities plan for options. For StandardPlus5000 and StandardPlus10000 plans, options are included.

📘

We offer custom pricing and tailored solutions for Broker API partners seeking to leverage our comprehensive market data. Our goal is to meet the specific needs and requirements of our valued partners, ensuring they have access to the data and tools necessary to enhance their services and provide exceptional value to their customers. If none of the subscription plans listed above are believed to be suitable, kindly reach out to our sales team.

Authentication

All market data endpoints require authentication. API keys can be acquired in the web UI (under the API keys on the right sidebar).

Broker API

Broker API uses the Client Credentials authentication flow. You must first exchange your credentials for a short-lived access token, then use that token to authenticate API requests.

  • Step 1: Request an access token
curl -X POST "https://authx.giftcity.in.alpaca.markets/v1/oauth2/token" \
     -H "Content-Type: application/x-www-form-urlencoded" \
     -d "grant_type=client_credentials" \
     -d "client_id={YOUR_CLIENT_ID}" \
     -d "client_secret={YOUR_CLIENT_SECRET}"
  • Step 2: Use the token to authenticate
curl -X GET "https://data.giftcity.in.alpaca.markets/v2/..." \
     -H "Authorization: Bearer {TOKEN}"
🚧

Note: Access tokens are valid for 15 minutes. Do not request a new token for each API call.

For the WebSocket stream authentication, kindly refer to the WebSocket Stream documentation.